package com.codegeist.fisheye.domain.query;

public class AfterTagRestriction implements Restriction {

	private final String tag;

	public AfterTagRestriction(String tag) {
		if (tag == null) {
			throw new IllegalArgumentException("Tag must not be null");
		}
		
		this.tag = tag;
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" after tag ");
		buffer.append(tag);
		return buffer;
	}
}
