package com.codegeist.fisheye.domain;

/**
 * <pre>
 * struct ChangesetBounds {
 *  Changeset first;
 *  Changeset last;
 * }
 * </pre>
 * 
 * @author Brock Janiczak
 * 
 */
public class ChangesetBounds {
	private final Changeset first;
	private final Changeset last;

	ChangesetBounds(Changeset first, Changeset last) {
		this.first = first;
		this.last = last;
	}

	public Changeset getFirst() {
		return first;
	}

	public Changeset getLast() {
		return last;
	}

}
