package com.codegeist.fisheye.domain.query;

public class ChangesetRestriction implements Restriction {

	private final String changesetId;
	
	public ChangesetRestriction(String changesetId) {
		this.changesetId = changesetId;
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" csid = ");
		buffer.append(changesetId);
		return buffer;
	}
}
