package com.codegeist.fisheye.domain.query;

public class PathRestriction implements Restriction {

	private final String pathGlob;
	private final boolean not;

	public PathRestriction(String pathGlob, boolean not) {
		this.pathGlob = pathGlob;
		this.not = not;
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" path ");
		if (not) {
			buffer.append("not ");
		}
		buffer.append("like ");
		buffer.append(pathGlob);
		
		return buffer;
	}
}
