package com.codegeist.fisheye.service;

import com.codegeist.fisheye.internal.service.FisheyeServiceImpl;
import com.codegeist.fisheye.service.FisheyeService;


public final class FisheyeServiceFactory {
	
	private FisheyeServiceFactory() {
	}
	
	public static FisheyeService createService(String baseUrl) {
		return new FisheyeServiceImpl(baseUrl);
	}
}
